RDKit: RDKit::RDAny Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::RDAny Struct Reference

`#include <RDAny.h>`

## Public Member Functions
| RDAny ()
template<class T >
| RDAny (const T &d)
| RDAny (const RDAny &rhs)
| ~RDAny ()
RDAny & | operator= (const RDAny &rhs)
RDAny & | operator= (float d)
RDAny & | operator= (int d)
RDAny & | operator= (unsigned int d)
RDAny & | operator= (bool d)
RDAny & | operator= (const std::string &d)
RDAny & | operator= (const std::vector< double > &d)
RDAny & | operator= (const std::vector< float > &d)
RDAny & | operator= (const std::vector< int > &d)
RDAny & | operator= (const std::vector< unsigned int > &d)
RDAny & | operator= (const std::vector< std::string > &d)
RDAny & | operator= (const boost::any &d)
template<class T >
RDAny & | operator= (const T &d)

## Public Attributes
RDValue | m_value

## Detailed Description

Definition at line 70 of file RDAny.h.

## Constructor & Destructor Documentation

RDKit::RDAny::RDAny | ( |  | ) |
| inline

Definition at line 73 of file RDAny.h.

template<class T >

RDKit::RDAny::RDAny | ( | const T & | d | ) |
| inline

Definition at line 74 of file RDAny.h.

RDKit::RDAny::RDAny | ( | const RDAny & | rhs | ) |
| inline

Definition at line 82 of file RDAny.h.

References RDKit::copy_rdvalue(), and m_value.

RDKit::RDAny::~RDAny | ( |  | ) |
| inline

Definition at line 86 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

## Member Function Documentation

RDAny& RDKit::RDAny::operator= | ( | const RDAny & | rhs | ) |
| inline

Definition at line 93 of file RDAny.h.

References RDKit::copy_rdvalue(), and m_value.

RDAny& RDKit::RDAny::operator= | ( | float | d | ) |
| inline

Definition at line 98 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | int | d | ) |
| inline

Definition at line 104 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | unsigned int | d | ) |
| inline

Definition at line 110 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | bool | d | ) |
| inline

Definition at line 116 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::string & | d | ) |
| inline

Definition at line 122 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::vector< double > & | d | ) |
| inline

Definition at line 128 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::vector< float > & | d | ) |
| inline

Definition at line 134 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::vector< int > & | d | ) |
| inline

Definition at line 140 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::vector< unsigned int > & | d | ) |
| inline

Definition at line 146 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const std::vector< std::string > & | d | ) |
| inline

Definition at line 152 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

RDAny& RDKit::RDAny::operator= | ( | const boost::any & | d | ) |
| inline

Definition at line 158 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

template<class T >

RDAny& RDKit::RDAny::operator= | ( | const T & | d | ) |
| inline

Definition at line 165 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue().

## Member Data Documentation

RDValue RDKit::RDAny::m_value

Definition at line 71 of file RDAny.h.

Referenced by RDKit::from_rdany(), operator=(), RDAny(), and RDKit::rdany_cast().

The documentation for this struct was generated from the following file:

- RDAny.h